> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/changelogs/version-6/v6-0-0.md).

# Version 6.0.0

Enhance your PDF viewing experience with the latest changes to PDFNet released on 2013.06.18. Discover more accurate hit testing, improved locking methods, enhanced text search results, bug fixes, and

Release Date: 2013.06.18

## Changes to PDFNet

* More accurate hit testing for shape annotations, so that a user must touch the actual annotation rather than just its bounding box.
* New PDFViewCtrl delegate method onSetDoc:.
* PDFViewCtrl now provides new convenience methods for read and write locking, trylocking and unlocking the currently displayed document. The old convenience methods still work but have been deprecated.
* PDFViewCtrl delegate method textSearchResult: now provides a selection object.
* PDFViewCtrl method highlightSelectedTextWithColor:(UIColor\*) has been replaced with highlightSelection:(Selection\*) withColor:(UIColor\*).
* Fixes for a variety of bugs.

## Changes to libTools.a and its source files:

* Line and arrow edit tool changed to only have a selection dot at the end of the line (arrow)
* Changed locking of the document to use the PDFViewCtrl's locking methods.
* Added support for following links embedded in buttons
* Support text fields' MaxLen property to limit the number of characters that a user can enter.
* Uses new smart zoom feature in response to a double tap.
* Changes to the included sample project:
* Built-in support for navigating bookmarks.
* A new page slider that allows for fast navigation between pages in large documents
* A popup that allows the user to go directly to a specific page

Improved aesthetics, including retina icons


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/changelogs/version-6/v6-0-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
